﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace NTK.Demos
{
    [Serializable]
    [XmlRoot(Namespace = "http://schemas.gama-system.com/person_v1", ElementName = "Person")]
    public class Person_v1
    {
        string name;
        string surname;
        int version = 1;

        [XmlAttribute(AttributeName="version")]
        public int Version
        {
            get { return version; }
            set { version = value; }
        }

        [XmlElement(Namespace = "http://schemas.gama-system.com/person_v1")]
        public string Name
        {
            get { return name; }
            set { name = value; }
        }

        [XmlElement(Namespace = "http://schemas.gama-system.com/person_v1")]
        public string Surname
        {
            get { return surname; }
            set { surname = value; }
        }
    }

    [Serializable]
    [XmlRoot(Namespace = "http://schemas.gama-system.com/person_v2", ElementName = "Person")]
    public class Person_v2
    {
        string name;
        string surname;
        int age;
        int version = 2;

        [XmlAttribute(AttributeName = "version")]
        public int Version
        {
            get { return version; }
            set { version = value; }
        }

        [XmlElement(Namespace = "http://schemas.gama-system.com/person_v2")]
        public string Name
        {
            get { return name; }
            set { name = value; }
        }

        [XmlElement(Namespace = "http://schemas.gama-system.com/person_v2")]
        public string Surname
        {
            get { return surname; }
            set { surname = value; }
        }

        [XmlElement(Namespace = "http://schemas.gama-system.com/person_v2")]
        public int Age
        {
            get { return age; }
            set { age = value; }
        }
    }

    [Serializable]
    [XmlRoot(Namespace = "http://schemas.gama-system.com/person_v3", ElementName = "Person")]
    public class Person_v3
    {
        string name;
        string surname;
        int age;
        string cert;
        int version = 3;

        [XmlAttribute(AttributeName = "version")]
        public int Version
        {
            get { return version; }
            set { version = value; }
        }

        [XmlElement(Namespace = "http://schemas.gama-system.com/person_v3")]
        public string Name
        {
            get { return name; }
            set { name = value; }
        }

        [XmlElement(Namespace = "http://schemas.gama-system.com/person_v3")]
        public string Surname
        {
            get { return surname; }
            set { surname = value; }
        }

        [XmlElement(Namespace = "http://schemas.gama-system.com/person_v3")]
        public int Age
        {
            get { return age; }
            set { age = value; }
        }

        [XmlElement(Namespace = "http://schemas.gama-system.com/person_v3")]
        public string Certificate
        {
            get { return cert; }
            set { cert = value; }
        }
    }
}
