﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.ServiceModel;
using System.Text;
using System.Xml;

namespace NTK.Demos
{
    [ServiceContract]
    [XmlSerializerFormat]
    public interface ICRMService
    {
        [OperationContract]
        Guid CreatePerson(XmlDocument person);

        [OperationContract]
        Guid UpdatePerson(XmlDocument person);

        [OperationContract]
        void DeletePerson(Guid personID);

        [OperationContract]
        XmlDocument GetPerson(Guid personID);
    }

}
