﻿using CRMClient.ServiceProxy;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml;
using System.Xml.Serialization;
using System.IO;

namespace NTK.Demos
{
    class CRMClient
    {
        static void Main(string[] args)
        {
            CRMServiceClient proxy = new CRMServiceClient("WSHttpBinding_ICRMService");

            Console.WriteLine("Starting client.");
            proxy.CreatePerson(DocumentCreator.RawXMLPerson_v1());
            proxy.CreatePerson(DocumentCreator.RawXMLPerson_v2());
            proxy.CreatePerson(DocumentCreator.SerializedPerson_v1());
            proxy.CreatePerson(DocumentCreator.SerializedPerson_v2());
            proxy.CreatePerson(DocumentCreator.OM_v1());
            proxy.CreatePerson(DocumentCreator.OM_v2());
            proxy.CreatePerson(DocumentCreator.OM_v3());
            proxy.Close();
            Console.WriteLine("Client done.");
        }
    }
}
