﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Xml;
using System.Xml.Serialization;

namespace NTK.Demos
{
    partial class DocumentCreator
    {
        internal static XmlElement SerializedPerson_v1()
        {
            Person_v1 p = new Person_v1();
            p.Name = "Janez";
            p.Surname = "Novak";

            XmlSerializer ser = new XmlSerializer(typeof(Person_v1));
            MemoryStream stream = new MemoryStream();
            ser.Serialize(stream, p);
            stream.Position = 0;
            XmlDocument doc = new XmlDocument();
            doc.Load(stream);
            return doc.DocumentElement;
        }

        internal static XmlElement SerializedPerson_v2()
        {
            Person_v2 p = new Person_v2();
            p.Name = "Metka";
            p.Surname = "Skubic";
            p.Age = 23;

            XmlSerializer ser = new XmlSerializer(typeof(Person_v2));
            MemoryStream stream = new MemoryStream();
            ser.Serialize(stream, p);
            stream.Position = 0;
            XmlDocument doc = new XmlDocument();
            doc.Load(stream);
            return doc.DocumentElement;
        }
    }
}
